<?php

namespace v1\models;

use app\models\Color;
use app\models\Vehiculo as ModeloVehiculo;
use app\models\Marca;
use app\models\TipoAuto;

class Vehiculo extends ModeloVehiculo {

  public function fields() {
    return [
      'id',
      'nombre',
      'ano',
      'idColor',
      'idTipo',
      'idMarca',
      'placa',
      'serie',
      'creado',
      'descripcion',
      'modificado',
    ];
  }
  public function extraFields() {
    return [
        'marca',
        'color',
        'tipoAuto'
    ];
}

public function getMarca() {
  return $this->hasOne(Marca::class, ['id' => 'idMarca']);
}

public function getColor() {
  return $this->hasOne(Color::class, ['id' => 'idColor']);
}
public function getTipoAuto() {
  return $this->hasOne(TipoAuto::class, ['id' => 'idTipo']);
}
}
